<?php

namespace Modules\Invite\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Modules\Main\Models\Company\Company;
class Invite extends Model
{
    use HasFactory;

    protected $fillable = [
        'hash',
        'company_id'
    ];

    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id');
    }

     public function registrations()
    {
        return $this->HasMany(InviteAgent::class, 'invite_id');
    }
}
